Name:           perl-Data-Section
Summary:        Read multiple hunks of data out of your DATA section
Version:        0.200007
Release:        6
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Data-Section
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/Data-Section-%{version}.tar.gz

BuildRequires:  coreutils findutils make perl-interpreter perl-generators perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Encode) perl(MRO::Compat) >= 0.09 perl(strict) perl(Sub::Exporter) >= 0.979 perl(warnings)
BuildRequires:  perl(base) perl(lib) perl(Test::FailWarnings) perl(Test::More) >= 0.96 perl(utf8)
BuildRequires:  perl(CPAN::Meta) >= 2.120900 perl(Test::Pod) >= 1.41

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

BuildArch:      noarch

%description
This archive contains the distribution Data-Section,
version %{version}:
read multiple hunks of data out of your DATA section

%package_help

%prep
%autosetup -p1 -n Data-Section-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test
make test TEST_FILES="$(echo $(find xt/ -name '*.t'))"

%files
%license LICENSE
%{perl_vendorlib}/Data/

%files help
%doc Changes README
%{_mandir}/man3/Data::Section.3*

%changelog
* Tue Dec 10 2019 caomeng<caomeng5@huawei.com> - 0.200007-6
- Package init